[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [Engine](index.md) / [createView](./create-view.md)

# createView

`abstract fun createView(context: <ERROR CLASS>, attrs: <ERROR CLASS>? = null): `[`EngineView`](../-engine-view/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/Engine.kt#L75)

Creates a new view for rendering web content.

### Parameters

`context` - an application context

`attrs` - optional set of attributes

**Return**
new newly created [EngineView](../-engine-view/index.md).

